@import url("https://fonts.googleapis.com/css2?family=Baloo+2:wght@400;700&display=swap");

:root {
  --bg-color-main: #546de5;
  --bg-color-column: #faf9fa;
  --bg-color-card: #ffffff;
}

body {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  background-color: var(--bg-color-main);
  background-image: url("data:image/svg+xml,%3Csvg width='60' height='60' viewBox='0 0 60 60' xmlns='http://www.w3.org/2000/svg'%3E%3Cg fill='none' fill-rule='evenodd'%3E%3Cg fill='%23ffffff' fill-opacity='0.06'%3E%3Cpath d='M36 34v-4h-2v4h-4v2h4v4h2v-4h4v-2h-4zm0-30V0h-2v4h-4v2h4v4h2V6h4V4h-4zM6 34v-4H4v4H0v2h4v4h2v-4h4v-2H6zM6 4V0H4v4H0v2h4v4h2V6h4V4H6z'/%3E%3C/g%3E%3C/g%3E%3C/svg%3E");
  background-attachment: fixed;
}

.container {
  font-family: "Baloo 2", cursive;
  color: #2c3e50;
  display: grid;
  justify-items: center;
  grid-template-rows: 100px 1fr 100px;
}

.board {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  column-gap: 8px;
  width: 80vw;
  max-width: 1152px;
  min-width: 800px;
}

.column {
  background-color: var(--bg-color-column);
  justify-items: center;
  padding: 0 0px 24px 0px;
  box-shadow: 0 8px 30px rgba(0, 0, 0, 0.12);
}

.column > .color {
  height: 8px;
}
#todo > .color {
  background-color: #f65f6a;
}
#doing > .color {
  background-color: #f6ac57;
}
#done > .color {
  background-color: #63d2b4;
}

.column .name {
  text-align: center;
  cursor: text;
}
.column.first {
  border-radius: 8px 0px 0px 16px;
}
.column.first > .color {
  border-top-left-radius: 8px;
}
.column.last {
  border-radius: 0px 8px 16px 0px;
}
.column.last > .color {
  border-top-right-radius: 8px;
}

.card {
  background-color: var(--bg-color-card);
  border-radius: 8px;
  cursor: pointer;
  margin: 16px;
  padding: 24px;
  box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.12);
  animation: none;
  user-select: none;
}

.card > .title {
  text-align: center;
  font-size: 1.17em;
  font-weight: bold;
}
h3 {
  margin: 0;
}

.card > .description {
  font-weight: 400;
}

.dragging {
  opacity: 0.2;
}

.holding {
  animation: scale 0.8s 0.5s ease-in forwards, shake 0.2s 0.5s linear infinite,
    delete 0.2s 1.7s linear forwards;
}

@keyframes delete {
  0% {
    opacity: 1;
    transform-origin: 50% 50%;
    transform: scale(1, 1);
    -webkit-filter: blur(0px);
    filter: blur(0px);
  }
  100% {
    opacity: 0;
    transform-origin: 50% 50%;
    transform: scale(2, 2);
    -webkit-filter: blur(2px);
    filter: blur(2px);
  }
}

@keyframes scale {
  0% {
    background-color: #fff;
  }
  100% {
    background-color: #f7b5b5;
  }
}

@keyframes shake {
  0% {
    transform: rotate(0deg);
  }
  33% {
    transform: rotate(1deg);
  }
  66% {
    transform: rotate(-1deg);
  }
  100% {
    transform: rotate(0deg);
  }
}

.header {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  column-gap: 8px;
  width: 80vw;
  max-width: 1152px;
  min-width: 800px;
  align-items: center;
}

.logo {
  position: fixed;
  left: 50%;
  z-index: -1;
  transform: translateX(-50%);
  color: white;
  font-weight: 700;
  text-shadow: 0 8px 30px rgba(0, 0, 0, 0.12);
  grid-column: 2;
}

.button {
  border-radius: 50%;
  width: 46px;
  height: 46px;
  vertical-align: middle;
  line-height: 46px;
  text-align: center;
  box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.12);
  color: #ffffff;
  font-size: 36px;
  font-weight: 700;
  cursor: pointer;
  opacity: 0.95;
}

.button:hover {
  opacity: 1;
  transform: scale(1.04);
  box-shadow: 0 30px 60px rgba(0, 0, 0, 0.12);
}
.add-button {
  background-color: #63d2b4;
  grid-column: 3;
  justify-self: end;
}
.info-button {
  background-color: #48dbfb;
}

/*----modal----*/
.overlay {
  background-color: rgba(34, 47, 62, 0.3);
  height: 100vh;
  left: 0;
  position: fixed;
  top: 0;
  width: 100vw;
  display: none;
}

.modal {
  background-color: #fff;
  border-radius: 8px;
  height: 40vh;
  left: 50%;
  top: 50%;
  max-height: 500px;
  max-width: 380px;
  min-height: 280px;
  padding: 24px 48px;
  position: fixed;
  z-index: 1;
  transform: translate(-50%, -50%);
  width: 70vw;
  box-shadow: 0 8px 30px rgba(0, 0, 0, 0.12);
  overflow: hidden;
  animation: 0.4s showModal ease-out;
}
.showedModal {
  animation: 0.3s showModal ease-out;
  display: block;
}
.showedOverlay {
  animation: 0.2s showOverlay ease-out;
  display: block;
}

@keyframes showOverlay {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

@keyframes showModal {
  0% {
    top: 45%;
    opacity: 0;
  }
  100% {
    top: 50%;
    opacity: 1;
  }
}

.save-button {
  width: 100px;
  padding: 4px;
  box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.12);
  border-radius: 40px;
  font-family: "Baloo 2", cursive;
  font-size: 20px;
  position: absolute;
  bottom: 32px;
  right: 32px;
  background-color: #63d2b4;
}
.form-field {
  font-family: "Baloo 2", cursive;
  border: none;
  width: 100%;
}

.title-field {
  font-weight: bold;
  margin-bottom: 16px;
  font-size: 1.17em;
}
.description-field {
  font-weight: 400;
  font-size: 1em;
  height: 23vh;
  resize: none;
  min-height: 150px;
}
:focus {
  outline: none;
}

.show {
  display: block;
  opacity: 1;
  top: 50%;
}

.dragable-zone {
  height: 100%;
}

.score{
  color: #ffffff;
}

@media screen and (max-width: 600px) {
  .column {
  }

  .board {
    display: grid;
    width: 1500px;
  }
}

.score {
  color: #ffffff;
}
.score::after{
  font-size: 28px;
  font-weight: 400;
  color: #63d2b4;
  content: " complete";
}
